LinHES - Feature # 796: Additional storage configuration

Status: Closed Priority: Normal

Author: jams Category: Installation/Upgrade
Created: 11/21/2011 Assignee: jams

Updated: 01/22/2012 Due date:

Description: Find a simple way to add additional long term storage to a system.

Associated revisions

01/17/2012 08:56 am - jams

linhes-system: include add_storage.py.

This program is used to detect and autoadd storage to mythtv storage groups.

Currently it's not hooked up to anything, but hopefully in the near future it will be an automated process.

add_storage will only prompt for new disks, it will skip the following:
- optical disks
- disks that are in fstab

- disks that are mounted (but may not be in fstab)

- disks smaller then 5mb

refs #796

01/19/2012 09:07 am - jams

LinHES-system: add_storage.py add the ability to only report on new disks, but take no action.

refs #796

01/21/2012 09:48 am - jams
linhes-system: add_storage.py. Change the way the drive is determined to be in use, and what the fstype of /myth is.

This new method parses /proc/mounts and should be a bit more reliable.
Fixes a bug where XFS partitions were not detected in use.

refs #796

01/21/2012 05:32 pm - jams

runit-scripts: mythbackend. Add add_storage --report to startup.
This will print out a list of any new disks found

refs #796

01/21/2012 05:33 pm - jams
linhes-system: linhes-session, add delay_osd function. This is used to stop xosd and xmsg from overlaying messages.

refs #796

History

01/16/2012 06:39 pm - jams
- % Done changed from 0 to 90

- Estimated time set to 25.00

01/22/2012 08:30 am - jams

04/30/2025 1/2




- Status changed from New to Closed

add_storage.py implemented.

01/22/2012 08:31 am - jams
- % Done changed from 90 to 100

04/30/2025 22



